/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Gestion des vnements sur la fentre <compta/user/control_coherence.xul>
 * @include chrome://opensi/content/libs/util.js
 * @include chrome://opensi/content/libs/verif.js
 *
 */


function init() {
  try {
		
		if ((parseIntBis(ParamValeur("CtrlTiers"))+parseIntBis(ParamValeur("CtrlComptes"))+parseIntBis(ParamValeur("CtrlJournaux")))!=3) {
			
			document.getElementById('bEntrer').collapsed = true;
		}
		
		var page = "&Page=Compta/ControlCoherence/redirectpdf_rapport.tmpl";
    document.getElementById("pdf").setAttribute("src",getUrlOpeneas(page));	
		
	} catch (e) {
    recup_erreur('erreur dans compta/user/affiche_pdf_rapport.js#init : ' + e);
  }
}

function entrer() {
  try {
		var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() +"&Dates="+ ParamValeur('Dates');
		window.location = page;
	} catch (e) {
    recup_erreur('erreur dans compta/user/control_coherence.js#entrer : ' + e);
  }
}

function retour_exercice() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie() ;
    page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/affiche_pdf_rapport.js#retour_exercice : ' + e);
  }
}
