/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var serveur = get_pref_ipserveur() + ":" + get_pref_porttomcat();

function init() {
	try {
		var paramlist = "&Page=Compta/GetRDF/Dossier.tmpl&ContentType=xml";
    load_rdf_async('Exercice', getUrlOpeneas(paramlist), selExercice);
		
		document.getElementById('Exercice').focus();
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#init : ' + e);
  }
}

function selExercice() {
	try {
		document.getElementById('Exercice').selectedIndex = 0;
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#selExercice : ' + e);
  }
}

function exporter() {
	try {
		document.getElementById('progression').collapsed = false;
		setTimeout('exporter_bis()',100);
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#exporter : ' + e);
  }
}

function exporter_bis() {
	try {
		var base = document.getElementById('Exercice').value;
		var tmpl = document.getElementById('Format').value;
    var page = "&Page=Export/"+tmpl+"&ContentType=opensi_export&Base="+ base;
		window.location.href= getUrlOpeneas(page);
		document.getElementById('progression').collapsed = true;
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#exporter_bis : ' + e);
  }
}

function exporterComptes() {
	try {
		var base = document.getElementById('Exercice').value;
    var page = "&Page=Export/ExportComptesEBP.tmpl&ContentType=opensi_export&Base="+ base;
		window.location.href=getUrlOpeneas(page);
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#exporterComptes : ' + e);
  }
}

function exporterEcritures() {
	try {
		var base = document.getElementById('Exercice').value;
		var page = "&Page=Export/ExportEcrituresEBP.tmpl&ContentType=opensi_export&Base="+ base;
		window.location.href=getUrlOpeneas(page);
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#exporterEcritures : ' + e);
  }
}

function exporterJournaux() {
	try {
		var base = document.getElementById('Exercice').value; 
		var page = "&Page=Export/ExportJournauxEBP.tmpl&ContentType=opensi_export&Base="+ base;
		window.location.href=getUrlOpeneas(page);
	} catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#exporterJournaux : ' + e);
  }
}

function retour_menu_autres() {
  try {
    var page = "chrome://opensi/content/compta/user/autres/menu_autres.xul?" + cookie() ;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#retour_menu_autres : ' + e);
  }
}

function retour_menu_principal() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_exercice.xul?" + cookie() ;
    page += "&Dates=" + parent.document.getElementById("date_exercice").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#retour_menu_principal : ' + e);
  }
}

/*function retour_choixExercice() {
  try {
    var page = "chrome://opensi/content/compta/user/menu_dossier.xul?" + cookie();
    page += "&Libelle=" + parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#retour_choixExercice : ' + e);
  }
}*/

/*function retour_choixDossier() {
  try {
    var page = "chrome://opensi/content/compta/user/menu.xul?" + cookie();
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans compta/user/autres/export.js#retour_choixDossier : ' + e);
  }
}*/