/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
    
    
    delete_tree();
    classement();
    
}


function dblclic(){
  try{
    var tree = document.getElementById('palmares');
		var selection = tree.contentView.getItemAtIndex(tree.currentIndex);
    var Commercial_Id = selection.firstChild.firstChild.getAttribute('label');
    var page = "chrome://opensi/content/facturation/user/gestion_entreprise/menu_gestion_entreprise.xul?" + cookie()+"&Commercial_Id="+Commercial_Id;
    parent.window.location = page;
      } catch (e) {
    recup_erreur('erreur dans facturation/user/palmares/contenuCommericaux.js#dblclic : ' + e);
  }
}


function delete_tree(){
  try{
      var database = document.getElementById("palmares").database;
      var datasources = database.GetDataSources();
      while (datasources.hasMoreElements()) {
        var ds = datasources.getNext();
        database.RemoveDataSource(ds);
      }
      } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/contenuClients.js#delete_tree : ' + e);
  }
}

function classement(){
  
  if (document.getElementById('Classement').value=='Mois'){
    delete_tree();
    init_treeMois();
  }
  else{
    delete_tree();
    init_tree();
  }
}


function init_treeMois(){
  try{
    var paramlist ="&Page=Facturation/GetRDF/afficherPalmaresCommerciauxAuMois.tmpl&ContentType=xml";
    var p = requeteHTTP(paramlist);
    load_rdf('palmares', getUrlOpeneas(paramlist));    
    document.getElementById('palmares').builder.rebuild();
    } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/contenuClients.js#init_tree : ' + e);
  }
}

function init_tree(){
  try{
    var paramlist ="&Page=Facturation/GetRDF/afficherPalmaresCommerciaux.tmpl&ContentType=xml";
    var p = requeteHTTP(paramlist);
    load_rdf('palmares', getUrlOpeneas(paramlist));    
    document.getElementById('palmares').builder.rebuild();
    } catch (e) {
    recup_erreur('erreur dans facturation/user/clients/contenuClients.js#init_tree : ' + e);
  }
}
