/******************************************************************************/
/* OpenSI Comptabilit? : Outils libre de comptabilit? d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var x = (screen.width / 2) - 200;
    var y = (screen.height / 2) - 90;
    window.resizeTo(400,180);
    window.moveTo(x,y);
		
		document.getElementById('titre').value = "Composant "+ ParamValeur("ArticleComp_Id") +" - "+ ParamValeur("Designation");
		
		document.getElementById('Quantite').value = ParamValeur("Quantite");
    document.getElementById('Quantite').focus();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/quantite_composant.js#init : ' + e);
  }
}


function pressOnQuantite(ev) {
  try {
	
		switch(ev.keyCode) {
      case 13: // 'Enter'        
        modifierQuantite();        
      break;      
  	}
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/quantite_composant.js#pressOnQuantite : ' + e);
  }
}


function modifierQuantite() {
  try {

		var article_comp_id = ParamValeur("ArticleComp_Id");
		var article_id = ParamValeur("Article_Id");
		
		var quantite = document.getElementById('Quantite').value;

		if (isEmpty(quantite) || !isPositive(quantite) || !checkDecimal(quantite,2)) { showWarning("Quantit incorrecte !"); }		
		else {
			var corps = cookie() + "&Page=Facturation/Stocks/modifierQuantiteComposant.tmpl&ContentType=xml&Article_Id="+urlEncode(article_id)+"&ArticleComp_Id="+ urlEncode(article_comp_id);
					corps += "&Quantite="+ quantite;

			var p = requeteHTTP(corps);

			if (p.status != "200") {
  			alert("Rception erreur " + p.status);
			} 
			else {
				window.close();
			}
		}

	} catch (e) {
    recup_erreur('erreur dans facturation/user/stocks/quantite_composant.js#modifierQuantite : ' + e);
  }
}
