/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
		document.getElementById('Login').focus();
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/nouveau_user.js#init : ' + e);
  }
}

function createUser() {
	try {
		var login = document.getElementById('Login').value;
  	var password = document.getElementById('Password').value;
		var password2 = document.getElementById('Password2').value;
		var nom = document.getElementById('Nom').value;
		var prenom = document.getElementById('Prenom').value;


		if (isEmpty(prenom) || isEmpty(nom) || isEmpty(login) || isEmpty(password) || isEmpty(password2)) {
			alert('Vous devez remplir tous les champs !');
		}
		else if (password2 != password) {
			alert('Les mots de passe saisis sont diffrents !\nVeuillez reconfirmer le mot de passe');
			document.getElementById('Password2').value = '';
		}
		else if (!isCleAlpha(login)) {
			alert('Login incorrect ! (A-Z,a-z,0-9,_)');
		}
		else {

  		var corps = cookie() + "&Page=Manager/NouveauUser.tmpl&ContentType=text&Login=" + login;
			corps += "&Password=" + password + "&Password2=" + password2;
			corps += "&Nom=" + urlEncode(nom) + "&Prenom=" + urlEncode(prenom);

			var p = requeteHTTP(corps);

  		if ( p.status != "200" ) {
    		alert("Rception erreur " + p.status);
  		} 
			else {
				alert(trim(p.responseText));
			}

			var page  = "chrome://opensi/content/manager/gestion_utilisateurs/menu_utilisateurs.xul?" + cookie();
  		window.location = page;
		}
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/nouveau_user.js#createUser : ' + e);
  }
}

function retour_menuManager() {
  try {
		var page = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/nouveau_user.js#retour_menuManager : ' + e);
  }
}

function retour_menuUtilisateurs() {
	try {
  	var page = "chrome://opensi/content/manager/gestion_utilisateurs/menu_utilisateurs.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/nouveau_user.js#retour_menuUtilisateurs : ' + e);
  }
}
