/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
  try {

    var x = (screen.width / 2) - 400;
    var y = (screen.height / 2) - 150;
    window.resizeTo(500,350);
    window.moveTo(x,y);
       
    init_tree();

  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_bon.js#init : ' + e);
  }
}


function ouvrirBon() {
  try {
    
		var tree = document.getElementById('bons');
		
		if (tree.view!=null && tree.currentIndex!=-1) {
		
    	window.opener.setBonId_win(tree.view.getCellText(tree.currentIndex,'ColBon_Id'));
			window.close();
		}
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_bon.js#ouvrirBon : ' + e);
  }
}


function pressOnTree(ev) {
  try {
	
    switch(ev.keyCode) {
      case 13: // 'Enter'
        ouvrirBon();
        break;
    }
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_bon.js#pressOnTree : ' + e);
  }
}


function init_tree() {
  try {
	
    var paramlist = "&Page=Facturation/GetRDF/bons_a_facturer.tmpl&ContentType=xml&Affaire_Id="+ ParamValeur("Affaire_Id");
    load_rdf("bons", getUrlOpeneas(paramlist));
		
  } catch (e) {
    recup_erreur('erreur dans facturation/user/affaires/choix_bon.js#init_tree : ' + e);
  }
}
