/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {	
		
		var paramlist = "&Page=Manager/GetRDF/org_liv.tmpl&ContentType=xml";
    load_rdf_async('Num_Org', getUrlOpeneas(paramlist), initOrg);	
    
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/elems_fact.js#init : ' + e);
  }
}


function initOrg() {
	try {
	
    document.getElementById('Num_Org').selectedIndex = 0;
		
		var paramlist = "&Page=Manager/GetRDF/modes_reglement.tmpl&ContentType=xml";
    load_rdf_async('Mode_Reg', getUrlOpeneas(paramlist), initMode);
    
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/elems_fact.js#initOrg : ' + e);
  }
}

function initMode() {
	try {
	
    document.getElementById('Mode_Reg').selectedIndex = 0;
		window.parent.document.getElementById('Modifie').value = "n";
		window.parent.document.getElementById('Loaded').setAttribute('label',nocache());
    
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/elems_fact.js#initMode : ' + e);
  }
}


function setModifie() {
	try {
	
		window.parent.document.getElementById('Modifie').value = "y";
		
	} catch (e) {
		recup_erreur('erreur dans facturation/user/clients/elems_fact.js#setModifie : ' + e);
	} 
}


function copierCoordClient() {
	try {
	
		document.getElementById('Nom').value = window.parent.document.getElementById('contenu_fiche').contentDocument.getElementById('Raison_Sociale').value;
		document.getElementById('Adresse').value = window.parent.document.getElementById('contenu_fiche').contentDocument.getElementById('Adresse').value;
		document.getElementById('Comp_Adresse').value = window.parent.document.getElementById('contenu_fiche').contentDocument.getElementById('Comp_Adresse').value;
		document.getElementById('Code_Postal').value = window.parent.document.getElementById('contenu_fiche').contentDocument.getElementById('Code_Postal').value;
		document.getElementById('Ville').value = window.parent.document.getElementById('contenu_fiche').contentDocument.getElementById('Ville').value;
		document.getElementById('Pays').value = window.parent.document.getElementById('contenu_fiche').contentDocument.getElementById('Pays').value;
	
	} catch (e) {
    recup_erreur('erreur dans facturation/user/clients/elems_fact.js#copierCoordClient : ' + e);
  }
}
