/******************************************************************************/
/* OpenSI Comptabilit : Outils libre de comptabilit d'entreprise            */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/



function init() {
	try {
	
  	var page = "chrome://opensi/content/facturation/user/fournisseurs/fiche_fournisseur.xul?" + cookie();
  	document.getElementById("contenu_fiche").setAttribute("src",page);		
		page = "chrome://opensi/content/facturation/user/fournisseurs/interlocuteur.xul?" + cookie();
  	document.getElementById("contenu_contact").setAttribute("src",page);		
		page = "chrome://opensi/content/facturation/user/fournisseurs/banques_fournisseur.xul?" + cookie();
  	document.getElementById("contenu_banque").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/fournisseurs/articles_fournisseurs.xul?" + cookie();
  	document.getElementById("contenu_articles").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/fournisseurs/historique.xul?" + cookie();
  	document.getElementById("contenu_historique").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/fournisseurs/elems_finance.xul?" + cookie();
  	document.getElementById("contenu_finance").setAttribute("src",page);
		page = "chrome://opensi/content/facturation/user/fournisseurs/compte_fournisseur.xul?" + cookie();
  	document.getElementById("contenu_compte").setAttribute("src",page);
		
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#init : ' + e);
  }
}


var NB_ONGLET = 7;
var countLoaded = 0;

function processLoading() {
  try {

		countLoaded++;
		
		if (countLoaded == NB_ONGLET) {
			document.getElementById('Modifie').value = 'n';
			rechercherFournisseur();
		}

	} catch (e) {
  	recup_erreur('erreur dans erreur dans facturation/user/stocks/menu_stocks.js#updateLoading : ' + e);
  }
}


function hideButtons(b) {
	try {
	
		document.getElementById('bEnregistrer').collapsed = b;
		if (document.getElementById('Action').value == "M") {
    	document.getElementById('bSupprimer').collapsed = b;
		}
		else {
			document.getElementById('bSupprimer').collapsed = true;
		}
	
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#hideButtons : ' + e);
  }
}


function enregistrerTout() {
	try {
		
		var Action = document.getElementById('Action').value;
		
		var corps;
		
		if (Action=="M") {
			corps = cookie() + "&Page=Facturation/Fournisseurs/modifierFournisseur.tmpl&ContentType=text";
		}
		else {
			corps = cookie() + "&Page=Facturation/Fournisseurs/creerFournisseur.tmpl&ContentType=text";
		}
		
		
		// Champs onglet fiche signaltique
		
		var doc = document.getElementById('contenu_fiche').contentDocument;
		
		var fournisseur_id = doc.getElementById('Fournisseur_Id').value;
		var raison_sociale = doc.getElementById('Raison_Sociale').value;
		var civilite = doc.getElementById('Civilite').value;
		var nom = doc.getElementById('Nom').value;
		var prenom = doc.getElementById('Prenom').value;
		var adresse = doc.getElementById('Adresse').value;
		var comp_adresse = doc.getElementById('Comp_Adresse').value;
		var code_postal = doc.getElementById('Code_Postal').value;
		var ville = doc.getElementById('Ville').value;
		var pays = doc.getElementById('Pays').value;
		var tel_1 = doc.getElementById('Tel_1').value;
		var tel_2 = doc.getElementById('Tel_2').value;
		var tel_3 = doc.getElementById('Tel_3').value;
		var fax_1 = doc.getElementById('Fax_1').value;
		var fax_2 = doc.getElementById('Fax_2').value;
		var email_1 = doc.getElementById('Email_1').value;		
		var email_2 = doc.getElementById('Email_2').value;
		var site_web = doc.getElementById('Site_Web').value;
		var com_libre = doc.getElementById('Com_Libre').value;
		var code_couleur = doc.getElementById('Code_Couleur').value;
		var type_societe = doc.getElementById('Type_Societe').value;
		var famille = doc.getElementById('Famille').value;
		var num_tva_intra = doc.getElementById('Num_TVA_Intra').value;
		var num_siret = doc.getElementById('Num_SIRET').value;
		var code_naf = doc.getElementById('Code_NAF').value;
		var qualite_relation = doc.getElementById('Qualite_Relation').value;
		var respect_delai = doc.getElementById('Respect_Delai').value;
		var competitivite = doc.getElementById('Competitivite').value;

		
		corps += "&Fournisseur_Id="+ urlEncode(fournisseur_id) +"&Raison_Sociale="+ urlEncode(raison_sociale) +"&Adresse="+ urlEncode(adresse) +"&Comp_Adresse="+ urlEncode(comp_adresse);
		corps += "&Code_Postal="+ code_postal +"&Ville="+ urlEncode(ville) +"&Pays="+ urlEncode(pays) +"&Tel_1="+ urlEncode(tel_1) +"&Tel_2="+ urlEncode(tel_2) +"&Tel_3="+ urlEncode(tel_3);
		corps += "&Fax_1="+ urlEncode(fax_1) +"&Fax_2="+ urlEncode(fax_2) +"&Email_1="+ urlEncode(email_1) +"&Email_2="+ urlEncode(email_2) +"&Site_Web="+ urlEncode(site_web) +"&Com_Libre="+ urlEncode(com_libre);
		corps += "&Code_Couleur="+ code_couleur +"&Type_Societe="+ type_societe +"&Famille="+ urlEncode(famille) +"&Num_TVA_Intra="+ urlEncode(num_tva_intra);
		corps += "&Num_SIRET="+ urlEncode(num_siret) +"&Code_NAF="+ urlEncode(code_naf) +"&Qualite_Relation="+ qualite_relation +"&Respect_Delai="+ respect_delai;
		corps += "&Competitivite="+ competitivite +"&Civilite="+ civilite +"&Nom="+ urlEncode(nom) +"&Prenom="+ urlEncode(prenom);
    
		
		// Champs onglet Compte fournisseur
		
		doc = document.getElementById('contenu_compte').contentDocument;
		
		var code_client = doc.getElementById('Code_Client').value;
		var procedures = doc.getElementById('Procedures').value;
		var login_tel = doc.getElementById('Login_Tel').value;
		var pass_tel = doc.getElementById('Pass_Tel').value;
		var site_web_com = doc.getElementById('Site_Web').value;
		var login_web = doc.getElementById('Login_Web').value;
		var pass_web = doc.getElementById('Pass_Web').value;
		var infos_courrier = doc.getElementById('Infos_Courrier').value;
		var procs_courrier = doc.getElementById('Procs_Courrier').value;
		var adresse_courrier = doc.getElementById('Adresse').value;
		var code_postal_courrier = doc.getElementById('Code_Postal').value;
		var ville_courrier = doc.getElementById('Ville').value;
		var encours_auto = doc.getElementById('Encours_Auto').value;
		var actif = doc.getElementById('Actif').value;
		var date_ouverture = doc.getElementById('Date_Ouverture').value;
		var numero_compte = doc.getElementById('Numero_Compte').value;
		var collectif = doc.getElementById('Collectif').value;
		
		corps += "&Code_Client="+ urlEncode(code_client) +"&Procedures="+ urlEncode(procedures) +"&Login_Tel="+ urlEncode(login_tel) +"&Pass_Tel="+ urlEncode(pass_tel) +"&Site_Web_Com="+ urlEncode(site_web_com);
		corps += "&Login_Web="+ urlEncode(login_web) +"&Pass_Web="+ urlEncode(pass_web) +"&Infos_Courrier="+ urlEncode(infos_courrier) +"&Procs_Courrier="+ urlEncode(procs_courrier);
		corps += "&Adresse_Courrier="+ urlEncode(adresse_courrier) +"&Code_Postal_Courrier="+ urlEncode(code_postal_courrier) +"&Ville_Courrier="+ urlEncode(ville_courrier);
		corps += "&Encours_Auto="+ encours_auto +"&Actif="+ actif;
		corps += "&Date_Ouverture="+ (!isEmpty(date_ouverture) && isDate(date_ouverture)?prepareDateJava(date_ouverture):date_ouverture); 
		corps += "&Numero_Compte="+ numero_compte +"&Collectif="+ collectif;
		
		
		// Champs onglet Conditions financieres / livraison
		
		doc = document.getElementById('contenu_finance').contentDocument;
		
		var taux_remise = doc.getElementById('Taux_Remise').value;
		var remise_1 = doc.getElementById('Remise_1').value;
		var remise_2 = doc.getElementById('Remise_2').value;
		var remise_3 = doc.getElementById('Remise_3').value;
		var remise_4 = doc.getElementById('Remise_4').value;
		var remise_5 = doc.getElementById('Remise_5').value;
		var tranche_ca0 = doc.getElementById('Tranche_CA0').value;
		var tranche_ca1 = doc.getElementById('Tranche_CA1').value;
		var tranche_ca2 = doc.getElementById('Tranche_CA2').value;
		var tranche_ca3 = doc.getElementById('Tranche_CA3').value;
		var tranche_ca4 = doc.getElementById('Tranche_CA4').value;
		var taux_rfa = doc.getElementById('Taux_RFA').value;
		var remise_fixe = doc.getElementById('Remise_Fixe').value;
		var remise_var = doc.getElementById('Remise_Var').value;
		var objectif_marge = doc.getElementById('Objectif_Marge').value;
		var frais_port = doc.getElementById('Frais_Port').value;
		var type_port = doc.getElementById('Type_Port').value;
		var nationnalite = doc.getElementById('Nationnalite').value;
		var delai_livraison = doc.getElementById('Delai_Livraison').value;
		var nb_ex = doc.getElementById('Nb_Ex').value;
		var mode_reg = doc.getElementById('Mode_Reg').value;
		var delai_reg = doc.getElementById('Delai_Reg').value;
		var type_reg = doc.getElementById('Type_Reg').value;
		var jour_fact = doc.getElementById('Jour_Fact').value;
		
		corps += "&Taux_Remise="+ taux_remise +"&Remise_1="+ remise_1 +"&Remise_2="+ remise_2 +"&Remise_3="+ remise_3 +"&Remise_4="+ remise_4 +"&Remise_5="+ remise_5;
		corps += "&Tranche_CA0="+ tranche_ca0 +"&Tranche_CA1="+ tranche_ca1 +"&Tranche_CA2="+ tranche_ca2 +"&Tranche_CA3="+ tranche_ca3 +"&Tranche_CA4="+ tranche_ca4;
		corps += "&Taux_RFA="+ taux_rfa +"&Remise_Fixe="+ remise_fixe +"&Remise_Var="+ remise_var +"&Objectif_Marge="+ objectif_marge +"&Frais_Port="+ frais_port;
		corps += "&Type_Port="+ type_port +"&Nationnalite="+ nationnalite +"&Delai_Livraison="+ delai_livraison +"&Nb_Ex="+ nb_ex +"&Mode_Reg="+ urlEncode(mode_reg);
		corps += "&Delai_Reg="+ delai_reg +"&Type_Reg="+ type_reg +"&Jour_Fact="+ jour_fact; 
		
		
		var saveOK = false;
		
		
		if (Action=="C" && isEmpty(fournisseur_id)) {
			showWarning("Veuillez spcifier un code fournisseur ! (Onglet fiche signaltique)");
		}
		else if (Action=="C" && existeFournisseur(fournisseur_id)) {
			showWarning("Le code fournisseur '"+ fournisseur_id +"' est dj utilis ! (Onglet fiche signaltique)");
		}
		else if (Action=="C" && !isCleAlpha(fournisseur_id)) {
			showWarning("Code fournisseur invalide ! (Onglet fiche signaltique)");
		}
		else if (isEmpty(raison_sociale)) { showWarning("Veuillez spcifier la raison sociale de l'entreprise ! (Onglet fiche signaltique)"); }
		else if (isEmpty(adresse)) { showWarning("Veuillez spcifier l'adresse de l'entreprise ! (Onglet fiche signaltique)"); }
		//else if (isEmpty(code_postal)) { showWarning("Veuillez spcifier le code postal de l'entreprise !"); }
		else if (isEmpty(ville)) { showWarning("Veuillez spcifier la ville de l'entreprise ! (Onglet fiche signaltique)"); }
		//else if (isEmpty(num_siret)) { showWarning("Veuillez spcifier le numro SIRET !"); }
		//else if (isEmpty(code_naf)) { showWarning("Veuillez spcifier le code NAF !"); }
		//else if (isEmpty(num_tva_intra)) { showWarning("Veuillez spcifier le numro de TVA intracommunautaire !"); }
		
		else if (isEmpty(famille)) { showWarning("Veuillez spcifier une famille de fournisseur ! (Onglet fiche signaltique)"); }
		
		//else if (isEmpty(code_client)) { showWarning("Veuillez spcifier votre numro de client ! (Onglet compte fournisseur)"); }
		else if (isEmpty(numero_compte)) { showWarning("Veuillez spcifier le numro de compte fournisseur ! (Onglet compte fournisseur)"); }
		else if (!isEmpty(date_ouverture) && !isDate(date_ouverture)) { showWarning("Date d'ouverture de compte incorrecte ! (Onglet compte fournisseur)"); }
		else if (isEmpty(encours_auto) || !isPositiveOrNull(encours_auto)) { showWarning("Encours autoris incorrect ! (Onglet compte fournisseur)"); }
		
		else if (!isEmpty(tel_1) && !isPhone(tel_1)) { showWarning("Numro de tlphone 1 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(tel_2) && !isPhone(tel_2)) { showWarning("Numro de tlphone 2 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(tel_3) && !isPhone(tel_3)) { showWarning("Numro de tlphone 3 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(fax_1) && !isPhone(fax_1)) { showWarning("Numro de fax 1 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(fax_2) && !isPhone(fax_2)) { showWarning("Numro de fax 2 incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(email_1) && !isEmail(email_1)) { showWarning("Adresse e-mail 1 incorrecte ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(email_2) && !isEmail(email_2)) { showWarning("Adresse e-mail 2 incorrecte ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(site_web) && !isWeb(site_web)) { showWarning("Site Web incorrect ! (Onglet fiche signaltique)"); }
		
		else if (isEmpty(tranche_ca0) || !isPositiveOrNull(tranche_ca0)) { showWarning("Tranches de chiffre d'affaire incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(tranche_ca1) || !isPositiveOrNull(tranche_ca1)) { showWarning("Tranches de chiffre d'affaire incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(tranche_ca2) || !isPositiveOrNull(tranche_ca2)) { showWarning("Tranches de chiffre d'affaire incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(tranche_ca3) || !isPositiveOrNull(tranche_ca3)) { showWarning("Tranches de chiffre d'affaire incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(tranche_ca4) || !isPositiveOrNull(tranche_ca4)) { showWarning("Tranches de chiffre d'affaire incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_fixe) || !isPositiveOrNull(remise_fixe)) { showWarning("Montant de remise fixe incorrect ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(frais_port) || !isPositiveOrNull(frais_port)) { showWarning("Montant des frais de port incorrect ! (Onglet conditions financires / livraison)"); }
		
		else if (isEmpty(taux_remise) || !isTaux(taux_remise)) { showWarning("Taux de remise incorrect ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_var) || !isTaux(remise_var)) { showWarning("Part variable de remise incorrecte ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(taux_rfa) || !isTaux(taux_rfa)) { showWarning("Taux de remise RFA incorrect ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(objectif_marge) || !isTaux(objectif_marge)) { showWarning("Objectif de marge incorrect ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_1) || !isTaux(remise_1)) { showWarning("Taux de remise par tranche de CA incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_2) || !isTaux(remise_2)) { showWarning("Taux de remise par tranche de CA incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_3) || !isTaux(remise_3)) { showWarning("Taux de remise par tranche de CA incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_4) || !isTaux(remise_4)) { showWarning("Taux de remise par tranche de CA incorrectes ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(remise_5) || !isTaux(remise_5)) { showWarning("Taux de remise par tranche de CA incorrectes ! (Onglet conditions financires / livraison)"); }
		
		else if (isEmpty(delai_livraison) || !isPositiveOrNullInteger(delai_livraison)) { showWarning("Dlai de livraison incorrect ! (Onglet conditions financires / livraison)"); }
		else if (isEmpty(delai_reg) || !isPositiveOrNullInteger(delai_reg)) { showWarning("Dlai de rglement incorrect ! (Onglet conditions financires / livraison)"); }
		else if (!isEmpty(jour_fact) && (!isPositiveInteger(jour_fact) || jour_fact>30)) { showWarning("Jour de rglement incorrect ! (Onglet conditions financires / livraison)"); }
		
		else if (!isEmpty(num_siret) && (num_siret.length != 14 || !isDigitList(num_siret))) { showWarning("Numro SIRET incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(code_naf) && (code_naf.length != 4 || !isDigitList(code_naf.substring(0,3)) || !isAlpha(code_naf.charAt(3)))) { showWarning("Code NAF incorrect ! (Onglet fiche signaltique)"); }
		else if (!isEmpty(num_tva_intra) && (num_tva_intra.length != 13 || !isDigitList(num_tva_intra.substring(2,14)) || !isAlpha(num_tva_intra.substring(0,2)))) { showWarning("Numro de TVA intracommunautaire incorrect ! (Onglet fiche signaltique)"); }
		
		else {		
			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
      	alert("Rception erreur " + p.status);
  		} 
			else {
				saveOK = true;
    		
				showMessage("La fiche fournisseur a t enregistre !");
				
				if (Action=="C") {
					document.getElementById('Action').value = "M";
					document.getElementById('Fournisseur').value = fournisseur_id;

					document.getElementById('bSupprimer').collapsed = false;
					document.getElementById('TabContacts').collapsed = false;
					document.getElementById('TabBanques').collapsed = false;
					document.getElementById('TabArticles').collapsed = false;
					document.getElementById('TabHistorique').collapsed = false;
					chargerFournisseur();
					document.getElementById('contenu_fiche').contentDocument.getElementById('Fournisseur_Id').disabled = true;
					document.getElementById('contenu_contact').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
					document.getElementById('contenu_banque').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
					document.getElementById('contenu_articles').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
					document.getElementById('contenu_historique').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				}
				
				document.getElementById('Modifie').value = "n";
  		}
		}
		
		return saveOK;

	} catch (e) {
  	recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#enregistrerTout : ' + e);
  }
}


function rechercherFournisseur() {
	try {
	
		var Action = document.getElementById('Action').value;
		var Modifie = document.getElementById('Modifie').value;
		var change = true;
	
		if (Modifie=="y") {		
			if (Action=="M") {
				var question = "Voulez-vous enregistrer les modifications ?";
			}
			else {
				var question = "Voulez-vous enregistrer la fiche fournisseur ?";
			}
		
			if (window.confirm(question)) {
				change = enregistrerTout();
			}
		}
		
	
		if (change) {
			var url = "chrome://opensi/content/facturation/user/fournisseurs/rech_fournisseur.xul?" + cookie();
			window.openDialog(url,'Recherche d\'un fournisseur','chrome,modal');
			Action = document.getElementById('Action').value;
		
			if (Action=="M") {
				document.getElementById('bSupprimer').collapsed = false;
				document.getElementById('TabContacts').collapsed = false;
				document.getElementById('TabBanques').collapsed = false;
				document.getElementById('TabArticles').collapsed = false;
				document.getElementById('TabHistorique').collapsed = false;
				chargerFournisseur();
				document.getElementById('contenu_fiche').contentDocument.getElementById('Fournisseur_Id').disabled = true;
				document.getElementById('contenu_contact').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_banque').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_articles').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
				document.getElementById('contenu_historique').contentDocument.getElementById('Loaded').setAttribute('label',nocache());
			}
			else {
				document.getElementById('bSupprimer').collapsed = true;
  			document.getElementById('TabContacts').collapsed = true;
				document.getElementById('TabArticles').collapsed = true;
				document.getElementById('TabBanques').collapsed = true;
				document.getElementById('TabHistorique').collapsed = true;

				document.getElementById('Creation').label = "";
				document.getElementById('Modification').label = "";
				document.getElementById('Creation').collapsed = true;
				document.getElementById('Modification').collapsed = true;
				document.getElementById('Fiche').label = "";	

				document.getElementById('contenu_fiche').contentDocument.getElementById('Fournisseur_Id').disabled = false;
				setDefaultValues();
			}
		}
        
	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#rechercherFournisseur : ' + e);
	}
}


function setDefaultValues() {
	try {
		
		document.getElementById('Panneau').selectedIndex = 0;
		hideButtons(false);
		
		// valeurs onglet fiche signaltique
		
		var doc = document.getElementById('contenu_fiche').contentDocument;
		
		doc.getElementById('Respect_Delai').selectedItem = doc.getElementById('DelaiOui');
		doc.getElementById('Qualite_Relation').selectedItem = doc.getElementById('QualiteB');
		doc.getElementById('Competitivite').selectedItem = doc.getElementById('Comp1');
		doc.getElementById('Fournisseur_Id').value = "";
		doc.getElementById('Raison_Sociale').value = "";
		doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteM');
		doc.getElementById('Nom').value = "";
		doc.getElementById('Prenom').value = "";
		doc.getElementById('Adresse').value = "";
		doc.getElementById('Comp_Adresse').value = "";
		doc.getElementById('Code_Postal').value = "";
		doc.getElementById('Ville').value = "";
		doc.getElementById('Pays').value = "";
		doc.getElementById('Tel_1').value = "";
		doc.getElementById('Tel_2').value = "";
		doc.getElementById('Tel_3').value = "";
		doc.getElementById('Fax_1').value = "";
		doc.getElementById('Fax_2').value = "";
		doc.getElementById('Email_1').value = "";
		doc.getElementById('Email_2').value = "";
		doc.getElementById('Site_Web').value = "";
		doc.getElementById('Com_Libre').value = "";
		doc.getElementById('Code_Couleur').value = 2;		
		doc.getElementById('Num_TVA_Intra').value = "";
		doc.getElementById('Num_SIRET').value = "";
		doc.getElementById('Code_NAF').value = "";
		doc.getElementById('Famille').value = "";
		doc.getElementById('Type_Societe').value = "SARL";
		
		// valeurs onglet compte fournisseur
		
		doc = document.getElementById('contenu_compte').contentDocument;
		
		doc.getElementById('Actif').selectedItem = doc.getElementById('ActifOui');
		doc.getElementById('Encours_Auto').value = 0.00;
		doc.getElementById('Date_Ouverture').value = "";
		doc.getElementById('Code_Client').value = "";
		doc.getElementById('Procedures').value = "";
		doc.getElementById('Login_Tel').value = "";
		doc.getElementById('Pass_Tel').value = "";
		doc.getElementById('Site_Web').value = "";
		doc.getElementById('Login_Web').value = "";
		doc.getElementById('Pass_Web').value = "";
		doc.getElementById('Infos_Courrier').value = "";
		doc.getElementById('Procs_Courrier').value = "";
		doc.getElementById('Adresse').value = "";
		doc.getElementById('Code_Postal').value = "";
		doc.getElementById('Ville').value = "";		
		doc.getElementById('Numero_Compte').value = "";
		doc.getElementById('Collectif').value = "40100000";
		
		// valeurs onglet finance / livraison
		
		doc = document.getElementById('contenu_finance').contentDocument;
		
		doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegF');
		doc.getElementById('Nationnalite').selectedItem = doc.getElementById('NationF');
		doc.getElementById('Type_Port').selectedItem = doc.getElementById('PortP');
		doc.getElementById('Taux_Remise').value = 0;
		doc.getElementById('Remise_Fixe').value = 0;
		doc.getElementById('Remise_Var').value = 0;
		doc.getElementById('Taux_RFA').value = 0;
		doc.getElementById('Objectif_Marge').value = 0;
		doc.getElementById('Delai_Reg').value = 0;
		doc.getElementById('Delai_Livraison').value = 0;
		doc.getElementById('Frais_Port').value = 0;
		doc.getElementById('Mode_Reg').selectedIndex = 0;
		doc.getElementById('Jour_Fact').value = "";
		
		
		// en attendant autre gestion
		doc.getElementById('Remise_1').value = 0;
		doc.getElementById('Remise_2').value = 0;
		doc.getElementById('Remise_3').value = 0;
		doc.getElementById('Remise_4').value = 0;
		doc.getElementById('Remise_5').value = 0;
		
		doc.getElementById('Tranche_CA0').value = 0;
		doc.getElementById('Tranche_CA1').value = 0;
		doc.getElementById('Tranche_CA2').value = 0;
		doc.getElementById('Tranche_CA3').value = 0;
		doc.getElementById('Tranche_CA4').value = 0;
		doc.getElementById('De1').value = "0.00";
		doc.getElementById('De2').value = "0.00";
		doc.getElementById('De3').value = "0.00";
		doc.getElementById('De4').value = "0.00";
		
		document.getElementById('Modifie').value = "n";
		
	} catch (e) {
		recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#setDefaultValues : ' + e);
	}
}


function chargerFournisseur() {
	try {
		
		document.getElementById('Panneau').selectedIndex = 0;
		hideButtons(false);
		
		var corps = cookie() + "&Page=Facturation/Fournisseurs/getFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+ document.getElementById('Fournisseur').value;
		
		var p = requeteHTTP(corps);              
             
  	if (p.status != "200") {
      alert("Rception erreur " + p.status);
  	} 
		else {
    	var contenu = p.responseXML.documentElement;
			
			// onglet fiche signaltique
			
			var doc = document.getElementById('contenu_fiche').contentDocument;
			
			doc.getElementById('Fournisseur_Id').value = contenu.getAttribute('Fournisseur_Id');
			doc.getElementById('Raison_Sociale').value = contenu.getAttribute('Raison_Sociale');
			
			if (contenu.getAttribute('Civilite')==1) { doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteM'); }
			else if (contenu.getAttribute('Civilite')==2) { doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteMme'); }
			else { doc.getElementById('Civilite').selectedItem = doc.getElementById('CiviliteMlle'); }
			
			doc.getElementById('Nom').value = contenu.getAttribute('Nom');
			doc.getElementById('Prenom').value = contenu.getAttribute('Prenom');
			doc.getElementById('Adresse').value = contenu.getAttribute('Adresse');
			doc.getElementById('Comp_Adresse').value = contenu.getAttribute('Comp_Adresse');
			doc.getElementById('Code_Postal').value = contenu.getAttribute('Code_Postal');
			doc.getElementById('Ville').value = contenu.getAttribute('Ville');
			doc.getElementById('Pays').value = contenu.getAttribute('Pays');
			doc.getElementById('Tel_1').value = contenu.getAttribute('Tel_1');
			doc.getElementById('Tel_2').value = contenu.getAttribute('Tel_2');
			doc.getElementById('Tel_3').value = contenu.getAttribute('Tel_3');
			doc.getElementById('Fax_1').value = contenu.getAttribute('Fax_1');
			doc.getElementById('Fax_2').value = contenu.getAttribute('Fax_2');
			doc.getElementById('Email_1').value = contenu.getAttribute('Email_1');
			doc.getElementById('Email_2').value = contenu.getAttribute('Email_2');			
			doc.getElementById('Site_Web').value = contenu.getAttribute('Site_Web');
			doc.getElementById('Com_Libre').value = contenu.getAttribute('Com_Libre');
			doc.getElementById('Code_Couleur').value = contenu.getAttribute('Code_Couleur');
			doc.getElementById('Type_Societe').value = contenu.getAttribute('Type_Societe');
			doc.getElementById('Famille').value = contenu.getAttribute('Famille');
			doc.getElementById('Num_TVA_Intra').value = contenu.getAttribute('Num_TVA_Intra');
			doc.getElementById('Num_SIRET').value = contenu.getAttribute('Num_SIRET');
			doc.getElementById('Code_NAF').value = contenu.getAttribute('Code_NAF');
			
			if (contenu.getAttribute('Qualite_Relation')=="E") { doc.getElementById('Qualite_Relation').selectedItem = doc.getElementById('QualiteE'); }
			else if (contenu.getAttribute('Qualite_Relation')=="B") { doc.getElementById('Qualite_Relation').selectedItem = doc.getElementById('QualiteB'); }
			else if (contenu.getAttribute('Qualite_Relation')=="M") { doc.getElementById('Qualite_Relation').selectedItem = doc.getElementById('QualiteM'); }
			else { doc.getElementById('Qualite_Relation').selectedItem = doc.getElementById('QualiteN'); }
			
			if (contenu.getAttribute('Respect_Delai')==1) { doc.getElementById('Respect_Delai').selectedItem = doc.getElementById('DelaiOui'); }
			else { doc.getElementById('Respect_Delai').selectedItem = doc.getElementById('DelaiNon'); }

			if (contenu.getAttribute('Competitivite')==5) { doc.getElementById('Competitivite').selectedItem = doc.getElementById('Comp5'); }
			else if (contenu.getAttribute('Competitivite')==2) { doc.getElementById('Competitivite').selectedItem = doc.getElementById('Comp2'); }
			else if (contenu.getAttribute('Competitivite')==3) { doc.getElementById('Competitivite').selectedItem = doc.getElementById('Comp3'); }
			else if (contenu.getAttribute('Competitivite')==4) { doc.getElementById('Competitivite').selectedItem = doc.getElementById('Comp4'); }
			else { doc.getElementById('Competitivite').selectedItem = doc.getElementById('Comp1'); }
			
			// onglet compte fournisseur
			
			doc = document.getElementById('contenu_compte').contentDocument;
			
			doc.getElementById('Code_Client').value = contenu.getAttribute('Code_Client');
			doc.getElementById('Procedures').value = contenu.getAttribute('Procedures');
			doc.getElementById('Login_Tel').value = contenu.getAttribute('Login_Tel');
			doc.getElementById('Pass_Tel').value = contenu.getAttribute('Pass_Tel');
			doc.getElementById('Site_Web').value = contenu.getAttribute('Site_Web_Com');
			doc.getElementById('Login_Web').value = contenu.getAttribute('Login_Web');
			doc.getElementById('Pass_Web').value = contenu.getAttribute('Pass_Web');
			doc.getElementById('Infos_Courrier').value = contenu.getAttribute('Infos_Courrier');
			doc.getElementById('Procs_Courrier').value = contenu.getAttribute('Procs_Courrier');
			doc.getElementById('Adresse').value = contenu.getAttribute('Adresse_Courrier');
			doc.getElementById('Code_Postal').value = contenu.getAttribute('Code_Postal_Courrier');
			doc.getElementById('Ville').value = contenu.getAttribute('Ville_Courrier');
			doc.getElementById('Encours_Auto').value = contenu.getAttribute('Encours_Auto');
			
			if (contenu.getAttribute('Actif')==1) { doc.getElementById('Actif').selectedItem = doc.getElementById('ActifOui'); }
			else { doc.getElementById('Actif').selectedItem = doc.getElementById('ActifNon'); }
			
			doc.getElementById('Date_Ouverture').value = contenu.getAttribute('Date_Ouverture');
			
			doc.getElementById('Collectif').value = contenu.getAttribute('Collectif');
			doc.getElementById('Numero_Compte').value = contenu.getAttribute('Numero_Compte');
			
			
			// onglet finance / livraison
			
			doc = document.getElementById('contenu_finance').contentDocument;
			
			doc.getElementById('Taux_Remise').value = contenu.getAttribute('Taux_Remise');
			doc.getElementById('Remise_1').value = contenu.getAttribute('Remise_1');
			doc.getElementById('Remise_2').value = contenu.getAttribute('Remise_2');
			doc.getElementById('Remise_3').value = contenu.getAttribute('Remise_3');
			doc.getElementById('Remise_4').value = contenu.getAttribute('Remise_4');
			doc.getElementById('Remise_5').value = contenu.getAttribute('Remise_5');
			doc.getElementById('Tranche_CA0').value = contenu.getAttribute('Tranche_CA0');
			doc.getElementById('Tranche_CA1').value = contenu.getAttribute('Tranche_CA1');
			doc.getElementById('Tranche_CA2').value = contenu.getAttribute('Tranche_CA2');
			doc.getElementById('Tranche_CA3').value = contenu.getAttribute('Tranche_CA3');
			doc.getElementById('Tranche_CA4').value = contenu.getAttribute('Tranche_CA4');
			doc.getElementById('Taux_RFA').value = contenu.getAttribute('Taux_RFA');
			doc.getElementById('Remise_Fixe').value = contenu.getAttribute('Remise_Fixe');
			doc.getElementById('Remise_Var').value = contenu.getAttribute('Remise_Var');
			doc.getElementById('Objectif_Marge').value = contenu.getAttribute('Objectif_Marge');
			doc.getElementById('Frais_Port').value = contenu.getAttribute('Frais_Port');
			
			document.getElementById('contenu_finance').contentWindow.report_tranche();
			
			if (contenu.getAttribute('Type_Port')=="P") { doc.getElementById('Type_Port').selectedItem = doc.getElementById('PortP'); }
			else { doc.getElementById('Type_Port').selectedItem = doc.getElementById('PortM'); }
			
			if (contenu.getAttribute('Nationnalite')=="F") { doc.getElementById('Nationnalite').selectedItem = doc.getElementById('NationF'); }
			else if (contenu.getAttribute('Nationnalite')=="E") { doc.getElementById('Nationnalite').selectedItem = doc.getElementById('NationE'); }
			else { doc.getElementById('Nationnalite').selectedItem = doc.getElementById('NationH'); }
			
			doc.getElementById('Delai_Livraison').value = contenu.getAttribute('Delai_Livraison');			
			doc.getElementById('Nb_Ex').value = contenu.getAttribute('Nb_Ex');
			doc.getElementById('Mode_Reg').value = contenu.getAttribute('Mode_Reg');
			doc.getElementById('Delai_Reg').value = contenu.getAttribute('Delai_Reg');
			doc.getElementById('Jour_Fact').value = contenu.getAttribute('Jour_Fact');
			
			if (contenu.getAttribute('Type_Reg')=="F") { doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegF'); }
			else if (contenu.getAttribute('Type_Reg')=="L") { doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegL'); }
			else { doc.getElementById('Type_Reg').selectedItem = doc.getElementById('RegN'); }
			
						
			// actualisation status bar
			
			document.getElementById('Creation').label = "Fournisseur cr le "+ contenu.getAttribute('Date_Creation') +" par "+ contenu.getAttribute('Login_Createur');
			document.getElementById('Modification').label = "Dernire modification le "+ contenu.getAttribute('Date_Maj') +" par "+ contenu.getAttribute('Login_Maj');
			document.getElementById('Fiche').label = "Fournisseur N "+ contenu.getAttribute('Fournisseur_Id') +" - "+ contenu.getAttribute('Raison_Sociale');
			document.getElementById('Creation').collapsed = false;
			document.getElementById('Modification').collapsed = false;
			
			document.getElementById('Modifie').value = "n";
  	}
		
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#chargerFournisseur : ' + e);
  }
}


function supprimerTout() {
	try {
	
		var fournisseur_id = document.getElementById('Fournisseur').value;
	
		if (window.confirm("Confirmez-vous la suppression du fournisseur "+fournisseur_id+" ?")) {
	
			var corps = cookie() + "&Page=Facturation/Fournisseurs/supprimerFournisseur.tmpl&ContentType=text&Fournisseur_Id="+ urlEncode(fournisseur_id);

			var p = requeteHTTP(corps);              

  		if (p.status != "200") {
      	alert("Rception erreur " + p.status);
  		} 
			else {
    		showMessage("Le fournisseur a t supprim !");
				setDefaultValues();
				document.getElementById('Action').value = "C";
				document.getElementById('Modifie').value = "n";
				rechercherFournisseur();
  		}
		}
		
	} catch (e) {
  	recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#supprimerTout : ' + e);
  }
}


function existeFournisseur(code_fournisseur) {
  try {
 
		var corps = cookie() + "&Page=Facturation/Fournisseurs/existeFournisseur.tmpl&ContentType=xml&Fournisseur_Id="+ urlEncode(code_fournisseur);
		var p = requeteHTTP(corps);

		if (p.status != "200") {
    	alert("Rception erreur " + p.status);
			return false;
		} 
		else {
  		var contenu = p.responseXML.documentElement;                
  		return contenu.getAttribute('existe')=="true";  		
		}
    
  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#existeFournisseur : ' + e);
  }
}


function retour_menu_fact2() {
  try {
    var page = "chrome://opensi/content/facturation/user/menu_principal.xul?" + cookie();
		page += "&Libelle="+ parent.document.getElementById("nom_dossier").value;
    window.location = page;
  } catch (e) {
    recup_erreur('erreur dans facturation/user/fournisseurs/menu_fournisseurs.js#retour_menu_fact2 : ' + e);
  }
}
