/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

var serveur = get_pref_protocol() + "://" + get_pref_ipserveur() + ":" + get_pref_porttomcat();

function init() {
	try {
		//document.getElementById('bouton_save').focus();
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/sauvegarde.js#init : ' + e);
  }
}

function sauver_opensi() {
	try {
		document.getElementById('progression').collapsed = false;
		setTimeout('sauver_opensi_bis()',100);
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/sauvegarde.js#sauver_opensi : ' + e);
  }
}

function sauver_opensi_bis() {
	try {
		var corps = cookie() + "&Page=Export/SauvegardeOpensi.tmpl&ContentType=xml";
		var p = requeteHTTP(corps);
			
		if (p.status != "200") {
			alert("Rception erreur " + p.status);
		}
		else {
			var contenu = p.responseXML;
			
			var action_error = contenu.documentElement.getAttribute('action_error');
			var fichier_save = contenu.documentElement.getAttribute('fichier_save');
			
			if (isEmpty(action_error)) {
				window.location.href= serveur +"/OpenSI/sauvegarde_buffer/"+ fichier_save;
			}
			else {
				alert(action_error);
			}
		}
		document.getElementById('progression').collapsed = true;
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/sauvegarde.js#sauver_opensi_bis : ' + e);
  }
}

function retour_menuManager() {
  try {
		var page = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/sauvegarde.js#retour_menuManager : ' + e);
  }
}

function retour_menuAutres() {
	try {
  	var page = "chrome://opensi/content/manager/autres_travaux/menu_autres.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/autres_travaux/sauvegarde.js#retour_menuAutres : ' + e);
  }
}