/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


function init() {
	try {
	
		etapeTrois();
	
		//document.getElementById("ModelePlan").focus();
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/choix_modeles.js#init : ' + e);
  }
}

function etapeTrois() {
	try {		
		var infos_societe = "&Dossier_Id=" + ParamValeur("Dossier_Id");
		infos_societe += "&Raison_Sociale=" + ParamValeur("Raison_Sociale");
		infos_societe += "&Enseigne=" + ParamValeur("Enseigne");
		infos_societe += "&Adresse=" + ParamValeur("Adresse");
		infos_societe += "&Comp_Adresse=" + ParamValeur("Comp_Adresse");
		infos_societe += "&Code_Postal=" + ParamValeur("Code_Postal");
		infos_societe += "&Ville=" + ParamValeur("Ville");
		infos_societe += "&Email=" + ParamValeur("Email");
		infos_societe += "&Telephone=" + ParamValeur("Telephone");
		infos_societe += "&Fax=" + ParamValeur("Fax");
		infos_societe += "&Num_SIRET=" + ParamValeur("Num_SIRET");
		infos_societe += "&Code_NAF=" + ParamValeur("Code_NAF");
		infos_societe += "&Type_Societe=" + ParamValeur("Type_Societe");
		infos_societe += "&Typologie=" + ParamValeur("Typologie");
		infos_societe += "&Date_Creation=" + ParamValeur("Date_Creation");
		infos_societe += "&Duree_Societe=" + ParamValeur("Duree_Societe");
		infos_societe += "&Montant_Capital=" + ParamValeur("Montant_Capital");
		infos_societe += "&Nb_Parts=" + ParamValeur("Nb_Parts");
		infos_societe += "&Expert=" + ParamValeur("Expert");
		infos_societe += "&Monnaie_Tenue=" + ParamValeur("Monnaie_Tenue");
		infos_societe += "&Debut_Exercice=" + ParamValeur("Debut_Exercice");
		infos_societe += "&Fin_Exercice=" + ParamValeur("Fin_Exercice");
		infos_societe += "&Regime_Fiscal=" + ParamValeur("Regime_Fiscal");
		infos_societe += "&Regime_Groupe=" + ParamValeur("Regime_Groupe");
		infos_societe += "&Centre_Impot=" + ParamValeur("Centre_Impot");
		infos_societe += "&Tresorerie=" + ParamValeur("Tresorerie");
		infos_societe += "&Centre_Gestion=" + ParamValeur("Centre_Gestion");
		infos_societe += "&Site_Web=" + ParamValeur("Site_Web");
		infos_societe += "&Num_TVA_Intra=" + ParamValeur("Num_TVA_Intra");
		infos_societe += "&Ville_RCS=" + ParamValeur("Ville_RCS");

		var page = "chrome://opensi/content/manager/gestion_dossiers/attrib_droits_dossier.xul?" + cookie() + infos_societe;
  	window.location = page;
		
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/choix_modeles.js#etapeTrois : ' + e);
  }
}

function retour_menuManager() {
	try {
  	var page = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/choix_modeles.js#retour_menuManager : ' + e);
  }
}

function retour_menuDossiers() {
	try {
  	var page = "chrome://opensi/content/manager/gestion_dossiers/menu_dossiers.xul?" + cookie();
  	window.location = page;
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_dossiers/choix_modeles.js#retour_menuDossiers : ' + e);
  }
}
