/******************************************************************************/
/* OpenSI : Outils libre de gestion d'entreprise                              */
/* Copyright (C) 2003 SpeedInfo.fr S.A.R.L.                                   */
/* Contact: contact@opensi.org                                                */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

function init() {
	try {
		
		var paramlist = "&Page=Compta/GetRDF/liste_users.tmpl&ContentType=xml";
		load_rdf_async('liste_users', getUrlOpeneas(paramlist),focus_tree);
   
	} catch (e) {
    recup_erreur('erreur dans manager/gestion_utilisateurs/supprimer_user.js#init : ' + e);
  }
}

function focus_tree() {
  try {
	
    var v = document.getElementById('liste_users');
		if (v.view!=null) {
    	v.focus();
    	v.view.selection.select(0);
		}
		
  } catch (e) {
    recup_erreur('erreur dans compta/user/gestion_utilisateurs/supprimer_user.js#focus_tree : ' + e);
  }
}

function supprimerUser() {
		
	var v = document.getElementById('liste_users').view;
  var login = v.getCellText(v.selection.currentIndex,'login');

	rep = window.confirm('Confirmez-vous la suppression de l\'utilisateur "'+ login +'" ?');
	if (rep) {
		
		var corps = cookie() + "&Page=Manager/SupprimerUser.tmpl&ContentType=text&Login=" + login;

		var p = requeteHTTP(corps);

  	if ( p.status != "200" ) {
    	alert("Rception erreur " + p.status);
  	} 
		else {
			alert(trim(p.responseText));
		}
		
		var page = "chrome://opensi/content/manager/gestion_utilisateurs/menu_utilisateurs.xul?" + cookie();
  	window.location = page;		
	}
}

function retour_menuManager() {
  var page = "chrome://opensi/content/manager/menu_manager.xul?" + cookie();
  window.location = page;
}

function retour_menuUtilisateurs() {
  var page = "chrome://opensi/content/manager/gestion_utilisateurs/menu_utilisateurs.xul?" + cookie();
  window.location = page;
}
